rem *******************************************************************************
rem Licensed Materials - Property of IBM
rem (c) Copyright IBM Corporation 2009. All Rights Reserved.
rem
rem U.S. Government Users Restricted Rights:
rem Use, duplication or disclosure restricted by GSA ADP Schedule
rem Contract with IBM Corp.
rem *******************************************************************************
@ECHO OFF
REM
REM IBM Rational
REM
REM(c) Copyright IBM Corp. 2005, 2006, 2007, 2008  All Rights Reserved.
REM

REM
REM Uninstalling the RMT to RQM Asset Migration
REM

SET rmt_install_folder=%IBM_RATIONAL_RMT_INSTALL_DIR%
SET rmt_shared_folder=%rmt_install_folder%\..\SDP70Shared

IF NOT DEFINED rmt_install_folder (
	echo "Check if RMT is installed"
	GOTO EOF
)

IF NOT EXIST "%rmt_install_folder%" (
	echo "Check if RMT is installed"
	GOTO EOF
)

IF NOT EXIST "%rmt_install_folder%\rtmt.exe" (
	echo "Check if RMT is installed"
	GOTO EOF
)

IF NOT EXIST "%rmt_install_folder%\rtmt.ini" (
	echo "Check if RMT is installed"
	GOTO EOF
)

IF NOT EXIST "%rmt_install_folder%\rmt2rqm.bat" (
	echo "rmt2rqm.bat does not exist"
)

SET migration_dir=rmt2rqm

IF NOT EXIST "%rmt_install_folder%\links\%migration_dir%.link" (
	echo "rmt2rqm links does not exist"
)

IF NOT EXIST "%rmt_install_folder%\%migration_dir%" (
	echo "rmt2rqm folder does not exist"
)

REM
REM Remove rmt2rqm.exe
REM
DEL "%rmt_install_folder%\rmt2rqm.bat"

REM
REM Remove the Links Directory
REM
RMDIR /S /Q "%rmt_install_folder%\links"

REM
REM Remove the Migration Directory
REM
RMDIR /S /Q "%rmt_install_folder%\%migration_dir%"

:EOF
